<?php
// $Id: template.php,v 1.38.2.3.2.3.2.4 2010/04/15 11:38:40 mverbaar Exp $

/**
 * Insert variables into the block template.
 */
function inkribbon_preprocess_block(&$variables) {
  $variables['classes'] = 'block block-' . $variables['block']->module;
}

/**
 * Insert variables into the comment template.
 */
function inkribbon_preprocess_comment(&$variables) {
  $classes = array(
    'comment',
    $status,
  );
  if ($variables['comment']->new) {
    $classes[] = 'comment-new';
  }
  $variables['classes'] = join(' ', $classes);
}

/**
 * Insert variables into the node template.
 */
function inkribbon_preprocess_node(&$variables) {
  $classes = array(
    'node',
    'node-' . $variables['node']->type,
  );
  if ($variables['teaser']) {
    $classes[] = 'node-teaser';
  }
  if ($variables['sticky']) {
    $classes[] = 'node-sticky';
  }
  if (!$variables['status']) {
    $classes[] = 'node-unpublished';
  }
  $variables['classes'] = join(' ', $classes);
}
